## jless 332iso240

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for less.

#### Start of system configuration section. ####

srcdir = .

CC = gcc
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

CFLAGS = -g -O
CFLAGS_COMPILE_ONLY = -c
LDFLAGS = 
O=o

LIBS =   -lncurses

prefix = /usr
exec_prefix = ${prefix}

# Where the installed binary goes.
bindir = ${exec_prefix}/bin
binprefix = 

mandir = ${prefix}/man/man${manext}
manext = 1
manprefix = 

#### End of system configuration section. ####

SHELL = /bin/sh

# This rule allows us to supply the necessary -D options
# in addition to whatever the user asks for.
.c.o:
	${CC} -I. ${CFLAGS_COMPILE_ONLY} ${CPPFLAGS} ${CFLAGS} $<

OBJ =	main.${O} screen.${O} brac.${O} ch.${O} charset.${O} cmdbuf.${O} \
	command.${O} decode.${O} edit.${O} filename.${O} forwback.${O} \
	help.${O} ifile.${O} input.${O} jump.${O} line.${O} linenum.${O} \
	lsystem.${O} mark.${O} optfunc.${O} option.${O} opttbl.${O} os.${O} \
	output.${O} position.${O} prompt.${O} search.${O} signal.${O} \
	tags.${O} ttyin.${O} version.${O}   multi.${O}

all: less lesskey lessecho

less: ${OBJ}
	${CC} ${LDFLAGS} -o $@ ${OBJ} ${LIBS}

lesskey: lesskey.${O} version.${O}
	${CC} ${LDFLAGS} -o $@ lesskey.${O} version.${O}

lessecho: lessecho.${O} version.${O}
	${CC} ${LDFLAGS} -o $@ lessecho.${O} version.${O}

${OBJ}: ${srcdir}/less.h ${srcdir}/funcs.h defines.h 

install: all ${srcdir}/less.nro ${srcdir}/lesskey.nro installdirs
	${INSTALL_PROGRAM} less ${bindir}/${binprefix}less
	${INSTALL_PROGRAM} lesskey ${bindir}/${binprefix}lesskey
	${INSTALL_PROGRAM} lessecho ${bindir}/${binprefix}lessecho
	${INSTALL_DATA} ${srcdir}/less.nro ${mandir}/${manprefix}less.${manext}
	${INSTALL_DATA} ${srcdir}/lesskey.nro ${mandir}/${manprefix}lesskey.${manext}

installdirs: mkinstalldirs
	${srcdir}/mkinstalldirs ${bindir} ${mandir}

uninstall:
	rm -f ${bindir}/${binprefix}less ${bindir}/${binprefix}lesskey ${bindir}/${binprefix}lessecho
	rm -f ${mandir}/less.${manext} ${mandir}/lesskey.${manext}

info:
install-info:
dvi:
check:
installcheck:

TAGS:
	cd ${srcdir} && etags *.c *.h

# config.status might not change defines.h
# Don't rerun config.status if we just configured (so there's no stamp-h).
defines.h: stamp-h
stamp-h: defines.h.in config.status
	test ! -f stamp-h || CONFIG_FILES= CONFIG_HEADERS=defines.h ./config.status
	touch stamp-h
Makefile: ${srcdir}/Makefile.in config.status
	CONFIG_FILES=Makefile CONFIG_HEADERS= ./config.status
config.status: ${srcdir}/configure
	./config.status --recheck

${srcdir}/configure: ${srcdir}/configure.in
	cd ${srcdir}; autoheader; autoconf

clean:
	rm -f *.${O} core less lesskey lessecho

mostlyclean: clean

distclean: clean
	rm -f Makefile config.status config.log config.cache defines.h stamp-h

realclean: distclean
	rm -f TAGS

## jless 0.8.0.20220311.7.43a7380

=== debian/changelog ===
jless (0.8.0.20220311.7.43a7380) stable; urgency=medium

  * Packaging 0.8.0.20220311.7.43a7380.
  - based on Gea-Suan package 0.8.0.20220311.7.43a7380-bionic~ppa1

 -- Livre TI (Packages Automatic Signing Key) <livreti@livreti.com.br>  Wed, 25 Jan 2023 13:34:47 -0300

jless (0.8.0.20220311.7.43a7380-focal~ppa1) focal; urgency=medium

  * Packaging 0.8.0.20220311.7.43a7380.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Fri, 11 Mar 2022 09:15:52 +0800

jless (0.8.0.20220311.6.43a7380-focal~ppa1) focal; urgency=medium

  * Packaging 0.8.0.20220311.6.43a7380.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Fri, 11 Mar 2022 08:09:35 +0800

jless (0.7.2.20220221.a71188a-focal~ppa1) focal; urgency=medium

  * Packaging 0.7.2.20220221.a71188a.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Fri, 25 Feb 2022 02:57:03 +0800

jless (0.7.2.20220221.03d5962-focal~ppa1) focal; urgency=medium

  * Packaging 0.7.2.20220221.03d5962.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Fri, 25 Feb 2022 02:47:13 +0800

jless (0.7.2-focal~ppa1) focal; urgency=medium

  * Packaging 0.7.2.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Fri, 02 Feb 2022 01:38:00 +0800

=== debian/control ===
Source: jless
Section: utils
Priority: optional
Maintainer: Mauricio Silveira <mauricio@livreti.com.brg>
Build-Depends: cargo, debhelper (>= 9.0.0), libpython3-stdlib, libxcb1-dev, libxcb-render0-dev, libxcb-shape0-dev, libxcb-xfixes0-dev, python3-minimal
Standards-Version: 3.9.7
Homepage: https://jless.io/
Vcs-Git: https://github.com/PaulJuliusMartinez/jless.git
Vcs-Browser: https://github.com/PaulJuliusMartinez/jless

Package: jless
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxcb1, libxcb-render0, libxcb-shape0, libxcb-xfixes0
Description: jless is a command-line JSON viewer. Use it as a
 replacement for whatever combination of less, jq, cat and your editor
 you currently use for viewing JSON files. It is written in Rust and
 can be installed as a single standalone binary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

execute_before_dh_auto_build:
	test $(shell lsb_release -c -s) = xenial && update-alternatives --install /usr/bin/python python /usr/bin/python3 10 || true

execute_before_dh_auto_build_arch:
	test $(shell lsb_release -c -s) = xenial && update-alternatives --install /usr/bin/python python /usr/bin/python3 10 || true

override_dh_auto_build:
	cargo build

override_dh_auto_build-arch:
	cargo build

## jless 382-iso262-1

=== debian/changelog ===
jless (382-iso262-1) unstable; urgency=high

  * New upstream release. (Closes: #401126, #399218)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 27 Dec 2006 14:38:54 +0900

jless (382-iso258-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libncurses5-dev.  Closes: #377248.

 -- Matej Vela <vela@debian.org>  Sun, 16 Jul 2006 09:45:31 +0200

jless (382-iso258-1) unstable; urgency=low

  * New upstream release
  * transit to compat with current debian policy (Closes: #359436)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat,  1 Jul 2006 23:31:15 +0900

jless (358-iso254-1) unstable; urgency=low

  * patch version changed; iso242 -> iso254 (closes: Bug#75848)
  * fix description; `supported' -> supporting (closes: Bug#99850)

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 18 Sep 2001 01:36:03 +0900

jless (358-iso242-2) unstable; urgency=low

  * Bug Fixed: 'pager' alternative to /usr/bin/jless. (closes: Bug#75061)
  * Compiled with glibc-2.1.95

 -- Yoshiaki Yanagihara <yochi@debian.org>  Thu, 19 Oct 2000 18:28:07 +0900

jless (358-iso242-1) unstable; urgency=low

  * Changed the base source code to less_358-3.
  * Changed maintainer's E-mail address.
  * I think that jless package should be integrated with less package.
    As the first step for this purpose, I changed the program name 
    from "less" to "jless" and jless package don't conflict less package.
    Therefore you can install the less and jless package at the same
    time (closes: Bug#64494).

    NOTICE:
    Not compatibility.  You must input "jless" instead of "less" when you
    execute less command.
  * Removed the lessfile/lessopen shell scripts.
  * Bug Fixed: jless segfault in searching invalid encoding file
    (closes: Bug#67417).
  * Bug Fixed (closes: Bug#29499)
  
 -- Yoshiaki Yanagihara <yochi@debian.org>  Mon, 25 Sep 2000 06:51:49 +0900

jless (332iso242-2) frozen unstable; urgency=low

  * Recompiled with libncurses4. (Bug#JP/598)

 -- Yoshiaki Yanagihara <yochi@debian.or.jp>  Thu, 29 Oct 1998 10:42:59 +0900

jless (332iso242-1) unstable; urgency=low

  * New upstream version. (New jless patch)
  * Base on less_332-4 package to build this package. Fixed Bug#JP/494.
  * Added /usr/man/pager.1.gz by update-alternative. (Bug#JP/293)
	
 -- Yoshiaki Yanagihara <yochi@debian.or.jp>  Mon, 12 Oct 1998 11:47:49 +0900

jless (332iso240-1) frozen unstable; urgency=midium

  * New upstream source version (few BugFix and Improved).
  * Changes iso232 to iso240:
    - iso233 3/10/98  Fixed typo and made multi.h.
    - iso234 3/12/98  Removed prewind_multi and pdone_multi because 
	              it depend on less.  Add init_multi and clear_multi
		      instead of them.
    - iso235 3/13/98  Add unify.c for chcmp_cs function.
    - iso236 3/14/98  Fixed MSB_ENABLE bugs.
    - iso237 3/16/98  Add unification among JIS X 0208, ASCII, 
	              Cyrillic and Greek.
    - iso238 3/17/98  Add NULLCS to represent a terminator.
                      Changed a character set for control characters 
	              to WRONGCS.
                      Add chunify_cs and chconvert_cs as external function.
    - iso239 3/20/98  Fixed a bug in match() and add assertion in chunify_cs().
    - iso240 3/25/98  Corrected all cmdbuf and cmdcs buffers' handling.
                      Fixed a control character handling bug.
                      Changed to remove padded codes from search pattern.
  * Delete object files from source package.
  * Use mktemp(1) for temporary filename in lesspipe/lessfile.
  * BugFix: Can't unpack source pacakge. (Bug#JP/248).
	
 -- Yoshiaki Yanagihara <yochi@debian.or.jp>  Tue,  7 Apr 1998 18:05:44 +0900

jless (332iso232-1) unstable; urgency=low

  * New upstream source version.
  * For public release version (Debian Project).
  * Added LESSOPEN script from less package. (For Compatible less)

 -- Yoshiaki Yanagihara <yochi@debian.or.jp>  Tue, 10 Mar 1998 19:43:25 +0900

jless (332iso226-1) hamm-jp; urgency=low

  * New upstream source version.
  * For public release version (Debian Project).

 -- Yoshiaki Yanagihara <yochi@debian.or.jp>  Fri, 13 Feb 1998 10:44:06 +0900

jless (332iso224-1) hamm-jp; urgency=low

  * New upstream version. (FIxed #JP/113,114,115)
  * Change to build with debhelper.
  * Change Maintainer's e-mail address to "yochi@debian.or.jp".

 -- Yoshiaki Yanagihara <yochi@debian.or.jp>  Wed, 28 Jan 1998 10:26:35 +0900

jless (332iso221-4) unstable; urgency=low

  * For Public Release Version.
  * Change section to text.
  * Change priority to extra.
  * Told less(1) to use /usr/bin/editor if the envar EDITOR isn't set.
    Changed defines.h.in to not redefine EDIT_PGM and removed checking the 
    VISUAL envar for the program to use.
    (same less_332-2 package)

 -- Yoshiaki Yanagihara <yochi@linux.or.jp>  Wed, 10 Dec 1997 02:22:58 +0900

jless (332iso221-3) unstable; urgency=low

  * Compiled with libc6 & ncurses3.4.

 -- Yoshiaki Yanagihara <yochi@linux.or.jp>  Thu, 16 Oct 1997 08:47:02 +0900

jless (332iso221-2) unstable; urgency=HIGH

  * Re-Compiled by gcc_2.7.2.1 (Old package compiled by gcc_2.7.2.2).

 -- Yoshiaki Yanagihara <yochi@linux.or.jp>  Wed,  14 May 1997 15:28:58 +0900

jless (332iso221-1) unstable; urgency=low

  * New upstream source code.
  * Base source change to less-332.

 -- Yoshiaki Yanagihara <yochi@linux.or.jp>  Mon,  12 May 1997 12:43:37 +0900

jless (330iso216-1) unstable; urgency=low

  * New upstream source code.

 -- Yoshiaki Yanagihara <yochi@linux.or.jp>  Thu, 27 Mar 1997 13:17:18 +0900

jless (330iso215-1) unstable; urgency=low

  * New upstream source code.
  * Move section from misc to utils.
  
 -- Yoshiaki Yanagihara <yochi@linux.or.jp>  Tue, 28 Jan 1997 00:58:36 +0900
  

jless (330iso213-1) unstable; urgency=low

  * New upstream source code.

 -- Yoshiaki Yanagihara <yochi@linux.or.jp>  Fri, 24 Jan 1997 02:24:24 +0900

jless (330iso208-1) unstable; urgency=low

  * New upstream version.



=== debian/control ===
Source: jless
Section: text
Priority: extra
Maintainer: Tatsuki Sugiura <sugi@nemui.org>
Standards-Version: 3.7.2
Build-Depends: cdbs, debhelper (>= 4.0.0), dpatch, libncurses5-dev | libncurses-dev

Package: jless
Architecture: any
Depends: ${shlibs:Depends}, debianutils (>= 1.8)
Description: A file pager program, similar to more(1) supporting ISO2022
 Jless is a program similar to more (1), but which allows backward
 movement in the file as well as forward movement.  Also, jless does not
 have to read the entire input file before starting, so with large input
 files it starts up faster than text editors like vi (1).  Jless uses
 terminfo, so it can run on a variety of terminals.  There is even limited
 support for hardcopy terminals.
 .
 Jless supported ISO 2022 code extension techniques and Japanese codes.

## jless 382-iso262-3

=== debian/changelog ===
jless (382-iso262-3) unstable; urgency=low

  * Fix hang-up problem with gcc optimization. (#684633, #680632)
  * Fix abort when JLESSCHARSET is not set. (#433086)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 24 Nov 2012 12:06:47 +0900

jless (382-iso262-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix AC_DEFINEs (Closes: #666362).

 -- Luk Claes <luk@debian.org>  Fri, 06 Jul 2012 02:40:57 +0000

jless (382-iso262-2) unstable; urgency=low

  [ Tatsuki Sugiura ]
  * Fix for package build issue, Thanks Hideki.
  * Misc cleanups for lintian warnings.

  [ Hideki Yamane ]
  * debian/control
    - add "Build-Depends: autoconf" (Closes: #607511)
  * debian/patches
    - add Makefile_comply_policy.dpatch

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 21 Dec 2010 04:06:59 +0900

## jless 382-iso262-3build1

=== debian/changelog ===
jless (382-iso262-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:08 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: extra
 Maintainer: Tatsuki Sugiura <sugi@nemui.org>
-Standards-Version: 3.7.2
-Build-Depends: cdbs, debhelper (>= 4.0.0), dpatch, libncurses5-dev | libncurses-dev
+Standards-Version: 3.9.1
+Build-Depends: cdbs, debhelper (>= 5.0.0), dpatch, libncurses5-dev | libncurses-dev, autoconf
 
 Package: jless
 Architecture: any
-Depends: ${shlibs:Depends}, debianutils (>= 1.8)
+Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
 Description: A file pager program, similar to more(1) supporting ISO2022
  Jless is a program similar to more (1), but which allows backward
  movement in the file as well as forward movement.  Also, jless does not

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/dpatch.mk

DEB_CONFIGURE_EXTRA_FLAGS = --with-editor=/usr/bin/editor
DEB_MAKE_INSTALL_TARGET += prefix=$(DEB_DESTDIR)/usr binprefix=j manprefix=j

#	$(MAKE) install prefix=`pwd`/debian/tmp/usr binprefix=j manprefix=j

binary-install/jless::
	install -d $(DEB_DESTDIR)/usr/share/man/man1
	install -m 644 debian/lessecho.nro $(DEB_DESTDIR)/usr/share/man/man1/jlessecho.1
